# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob


def update_package():
    # Declaring local variables
    package_updated = False

    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    download_url = "https://adionsoft.net/fastimageresize/FastImageResizer.exe"
    latest_bin = requests.head(download_url, proxies=proxies, allow_redirects=True).url.split("/")[-1]
    version = latest_bin.split("_")[-1].rsplit(".exe")[0]
    # Formater la version pour ajouter un point avant les deux derniers chiffres
    version_formatee = f"{version[0]}.{version[1:]}"
    print(version_formatee)
    # Deleting outdated binaries
    for f in glob.glob("*.exe"):
        if Version(get_version_from_binary(f)) < Version(version_formatee):
            remove_file(f)

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
        package_updated = True
    else:
        print("Binary is present: %s" % latest_bin)

    # Mettre à jour le package

    control.set_software_version(version_formatee)
    control.save_control_to_wapt()
